<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- 
Copyright (c) 2011, Texas Instruments. All rights reserved.

This program and the accompanying materials are made available under the 
terms of the Eclipse Public License v1.0 and Eclipse Distribution License
v. 1.0 which accompanies this distribution. The Eclipse Public License is
available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse
Distribution License is available at 
    http://www.eclipse.org/org/documents/edl-v10.php.

Contributors:
   Texas Instruments - initial implementation
-->

<gep name="Main" title="Main Application" version="1">

<page name="Module" title="Module Settings">
<html><body>
  <table>
  <tr><td colspan="2">  <form><p>The options provided by the Main module apply to any code that is not part of a module's implementation, in other words, all "ordinary" application code.  This allows any new or existing C code to take advantage of runtime diagnostics by simply including the appropriate xdc.runtime header and referencing the API's provided. </p><p>For a simple example that uses the Log API's, see the Log <a href="http://rtsc.eclipse.org/docs-tip/Using_xdc.runtime_Logging/Example_1">"hello world" example</a> maintained in the <a href="http://rtsc.eclipse.org/docs">RTSCpedia.</a></p><p></p></form></td></tr>

  <tr><td colspan="2">
    <control type="checkbox" label="Add Main to my configuration" value="value:this.$used" bold="true"/></td>
  </tr>
  <tr></tr>
  <tr><td>
      <h1>Event Logging</h1>
        <table>
        <tr>
          <td><control type="label" label="Logger" align="left"/></td>
          <td><control type="editbox" 
               value="value:this.common$.logger" 
               tooltip="logger used for user application's events"/></td>
        </tr>
        <tr>
          <td><control type="label" label="Function entry" align="left"/></td>
          <td><control type="droplist"
               value="value:this.common$.diags_ENTRY" 
               tooltip="control how function entry events are handled"/></td>
        </tr>
        <tr>
          <td><control type="label" label="Function exit" align="left"/></td>
          <td><control type="droplist"
               value="value:this.common$.diags_EXIT" 
               tooltip="control how function exit events are handled"/></td>
        </tr>
        <tr>
          <td><control type="label" label="Error and warning events" align="left"/></td>
          <td><control type="droplist"
               value="value:this.common$.diags_STATUS"
               tooltip="control how error and warning events are handled"/></td>
        </tr>
        <tr>
          <td><control type="label" label="Information events" align="left"/></td>
          <td><control type="droplist"
               value="value:this.common$.diags_INFO"
               tooltip="control how information events are handled"/></td>
        </tr>
        <tr>
          <td><control type="label" label="Analysis events" align="left"/></td>
          <td><control type="droplist"
               value="value:this.common$.diags_ANALYSIS"
               tooltip="control how analysis/benchmark events are handled"/></td>
        </tr>
      </table>
    </td>
    <td>
      <h1>Assertion Checking</h1>
        <table>
        <tr>
          <td><control type="label" label="Assert"/></td>
          <td><control type="droplist"
               value="value:this.common$.diags_ASSERT" 
               tooltip="control how Assert events are handled"/></td>
        </tr>
        <tr>
          <td><control type="label" label="Internal Asserts"/></td>
          <td><control type="droplist"
               value="value:this.common$.diags_INTERNAL" 
               tooltip="control how NULL Assert events are handled"/></td>
        </tr>
      </table>
      <form><p>Assertion events are either "named" or "internal":</p>

            <li bindent="10">Named asserts are controlled by the "Named Asserts" settings above and are provided in production libraries as a means to validate an application's use of the library.</li>
            <li  bindent="10">Internal asserts are active only when <b>both</b> internal and named asserts are enabled.  These assertions are used during early development and are generally compiled out of production libraries.</li>
      </form>
    </td>
  </tr>
</table></body></html>
</page>

<properties name="Advanced" title="All Options" enabled="true" visible="true" link="this"/>

</gep>

<!--
/*
 * @(#) xdc.runtime; 2, 1, 0,0; 11-8-2017 17:11:26; /db/ztree/library/trees/xdc/xdc-D20.1/src/packages/
 */
-->

